Class Article

''''''''''
' Public Properties
	Private m_ArticleId
	Public Property Get ArticleId
	  ArticleId = m_ArticleId
	End Property
	
	Private m_Username
	Public Property Get Username
	  Username = m_Username
	End Property
	
	Public Property Get Status
		If Not IsEmpty(m_AcceptanceDate) Then 
	  		Status = "Accepted"
		ElseIf  Not IsEmpty(m_SubmissionDate) Then
			Status = "Submitted"
		Else
			Status = "Incomplete"
		End If
	End Property	

    private m_Difficulty
	Public Property Get Difficulty
	  Difficulty = m_Difficulty
	End Property
	
	Private m_SubmissionDate
	Public Property Get SubmissionDate
	  SubmissionDate = m_SubmissionDate
	End Property
	
	Private m_AcceptanceDate
	Public Property Get AcceptanceDate
	  AcceptanceDate = m_AcceptanceDate
	End Property
	
	Private m_Title
	Public Property Get Title
	  Title = m_Title
	End Property
	
	Private m_Category
	Public Property Get Category
	  Category = m_Category
	End Property
	
	Private m_Abstract
	Public Property Get Abstract
	  Abstract = m_Abstract
	End Property
	
	Private m_Body
	Public Property Get Body
	  Body = m_Body
	End Property	
	
	Private m_Conn
	Private Property Get Conn
		If IsEmpty(m_Conn) Then
			Set m_Conn = Server.CreateObject("ADODB.Connection")
			m_Conn.Open Application("ConnectionString")
		End IF
		Set Conn = m_Conn
	End Property
	
''''''''''''''''
' Methods	
	Public Function LoadFromForm(frm)
		Clear
		If frm("ArticleId") <> "" Then m_ArticleId = frm("ArticleId")
		If Not IsEmpty(frm("Username")) Then m_Username = frm("Username") Else m_Username = Session("Username")
		If frm("Title") <> "" Then m_Title = frm("Title")
		If frm("Category") <> "" Then m_Category = frm("Category")
		If frm("Abstract") <> "" Then m_Abstract = frm("Abstract")
		If frm("Difficulty") <> "" Then m_Difficulty = frm("Difficulty")
		m_Body = frm("Body")
	End Function
	
	Private Sub Clear
		m_ArticleId = Empty
		m_Username = Empty
		m_SubmissionDate = Empty
		m_AcceptanceDate = Empty
		m_Title = Empty
		m_Abstract = Empty
		m_Difficulty = Empty
		m_Body = Empty
	End Sub
	
	Public Function Save()
		Save = False

		If IsEmpty(m_ArticleId) Then
			With Server.CreateObject("ADODB.Command")
				.ActiveConnection = Conn
				.CommandText = "INSERT INTO [Articles] ([Username], [Difficulty], [Status], [Body], [Title], [Abstract], [Category]) VALUES (?, ?, ?, ?, ?, ?, ?);"
				.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Username)
                .Parameters.Append .CreateParameter("Difficulty", adVarChar, adParamInput, 20, Difficulty)
                .Parameters.Append .CreateParameter("Status", adVarChar, adParamInput, 10, "Incomplete")
                .Parameters.Append .CreateParameter("Body", adLongVarChar, adParamInput, 2147483647, Body)
                .Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 50, Title)
                .Parameters.Append .CreateParameter("Abstract", adVarChar, adParamInput, 1000, Abstract)
                .Parameters.Append .CreateParameter("Category", adVarChar, adParamInput, 25, Category)
                .Execute
			End With
            With Server.CreateObject("ADODB.Command")
                .ActiveConnection = Conn
                .CommandText = "SELECT TOP 1 [Article Id] FROM [Articles] WHERE [Title] = ?;"
                .Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 50, Title)
                m_ArticleId = .Execute.Fields(0).value
            End With
		End If

		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = _
				"UPDATE [Articles] " & _
				"   SET [Title] = ? " & _
				"      ,[Category] = ? " & _
				"      ,[Abstract] = ? " & _
				"      ,[Difficulty] = ? " & _
				"      ,[Body] = ? " & _
				" WHERE [Article Id] = ?"
			.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 50, Title)
			If IsEmpty(Title) Then .Parameters("Title").Value = Null
			.Parameters.Append .CreateParameter("Category", adVarChar, adParamInput, 25, Category)
			If IsEmpty(Category) Then .Parameters("Category").Value = Null
			.Parameters.Append .CreateParameter("Abstract", adVarChar, adParamInput, 1000, Abstract)
			If IsEmpty(Abstract) Then .Parameters("Abstract").Value = Null
			.Parameters.Append .CreateParameter("Difficulty", adVarChar, adParamInput, 20, Difficulty)
			.Parameters.Append .CreateParameter("Body", adLongVarChar, adParamInput, 2147483647, Body)						
			.Parameters.Append .CreateParameter("ArticleId", adInteger, adParamInput, 4, ArticleId)
			.Execute
		End With		

		Save = True		
	End Function
	
	Public Function Submit()
		Submit = False
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandType = adCmdStoredProc
			.CommandText = "[Submit Article]"
			.Parameters.Append .CreateParameter("ArticleId", adInteger, adParamInput, 4, ArticleId)
			.Execute
		End With				
		Submit = True
	End Function
	
	Public Function Accept()
		Accept = False
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandType = adCmdStoredProc
			.CommandText = "[Accept Article]"
			.Parameters.Append .CreateParameter("ArticleId", adInteger, adParamInput, 4, ArticleId)
			.Execute
		End With				
		Accept = True
	End Function	
	
	Public Function Delete()
		Delete = False
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = "DELETE [Articles] WHERE [Article Id]=?"
			.Parameters.Append .CreateParameter("ArticleId", adInteger, adParamInput, 4, ArticleId)
			.Execute
			Clear
		End With				
		Delete = True
	End Function	
	
	Public Function Load(ArticleId)
		Load = False
		Clear
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = _
				"SELECT [Article Id], [Username], [Submission Date], [Acceptance Date], [Title], [Category], [Abstract], [Body], [Difficulty] " & _
				"  FROM [Articles] WHERE [Article Id] = ?"
			.Parameters.Append .CreateParameter("ArticleId", adInteger, adParamInput, 4, ArticleId)
			With .Execute
				If .EOF Then Exit Function
				m_ArticleId = .Fields("Article Id").Value
				m_Username = .Fields("Username").Value
				If Not IsNull(.Fields("Submission Date").Value) Then m_SubmissionDate = .Fields("Submission Date").Value
				If Not IsNull(.Fields("Acceptance Date").Value) Then m_AcceptanceDate = .Fields("Acceptance Date").Value
				If Not IsNull(.Fields("Title").Value) Then m_Title = .Fields("Title").Value
				If Not IsNull(.Fields("Category").Value) Then m_Category = .Fields("Category").Value
				If Not IsNull(.Fields("Difficulty").Value) Then m_Difficulty = .Fields("Difficulty").Value
				If Not IsNull(.Fields("Abstract").Value) Then m_Abstract = .Fields("Abstract").Value
				m_Body = .Fields("Body").Value	
			End With
		End With
		Load = True
	End Function
	
End Class