<%@ Control Language="C#" ClassName="FooterControl" %>
<%@ Register Assembly="ChooseYourStory" Namespace="ChooseYourStory.Web.Controls" TagPrefix="cys" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Data" %>
<script runat="server">
	
	public bool RenderRefreshScript
	{
		get { return refreshScripts.Visible; }
		set { refreshScripts.Visible = value; }
	}

	bool notificationsVisible = false;
	int pmCount = 0;

	protected override void OnPreRender(EventArgs e)
	{
		base.OnPreRender(e);
		if (Page.User.Identity.IsAuthenticated)
		{
			pmCount = GetUnreadPrivateMessagesCount();
			DataTable dt = GetNewNotifications();
			rptNotifications.DataSource = dt.Rows;
			rptNotifications.DataBind();
			notificationsVisible = pmCount > 0 || dt.Rows.Count > 0;
		}
		else
		{
			RenderRefreshScript = false;
			notificationsVisible = false;
		}
	
		
		DataTable membersOnline = (DataTable)Application["UsersOnline"];
		int sessionCount = ((DataTable)Application["Sessions"]).Rows.Count;
		sessionCount -= membersOnline.Rows.Count;
		sessionCount = Math.Abs(sessionCount);
		switch (sessionCount)
		{
			case 0:
				litGuestsOnline.Text = "No guests";
				break;
			case 1:
				litGuestsOnline.Text = "One guest";
				break;
			default:
				litGuestsOnline.Text = sessionCount.ToString() + " guests";
				break;
		}
		rptMembersOnline.DataSource = membersOnline.Rows;
		rptMembersOnline.DataBind();
		rptMembersOnline.Visible = membersOnline.Rows.Count > 0;

		if (!RenderRefreshScript) Response.AddHeader("CYSNTFCTNDISP", notificationsVisible ? "block" : "none");
	}
</script>

<div id="footerDiv">
	<div id="divWhosOnline">
		<div style="padding: 5px; font-size: small; line-height: initial;">
			<strong>Who's Online</strong><br />
			<asp:Literal ID="litGuestsOnline" runat="Server" />
			<asp:Repeater runat="server" ID="rptMembersOnline">
				<HeaderTemplate> and </HeaderTemplate>
				<ItemTemplate><cys:UsernameLink runat="Server" Username='<%# ((DataRow)Container.DataItem)["Username"] %>' /></ItemTemplate>
				<SeparatorTemplate>, </SeparatorTemplate>
			</asp:Repeater>
		</div>
        <div style="font-size:80%;margin-top:10px;text-align:center">
              <a href="/Help/AboutUs.aspx">About Us</a>
              /
              <a href="/Help/PrivacyPolicy.aspx">Privacy Policy</a>
              /
              <a href="/Help/TermsOfService.aspx">Terms Of Service</a>
              /
              <a href="/ContactUs/">Contact Us</a>
        </div>			
	</div>

	<div id="notificationScrollContentDiv" style="display:none">
		<%if (pmCount>0) {%>
		<img src="/i/exclaim.gif" width="12" height="12" alt="" /> <%=pmCount%> new <a href="/my/messages/">message<%=(pmCount==1)?"":"s"%></a>
		<% }%>
		<asp:Repeater runat="server" ID="rptNotifications">
			<ItemTemplate>
				<asp:Literal runat="server" Visible='<%#(pmCount>0) || Container.ItemIndex > 0%>'>|</asp:Literal>
				<a href="/my/notifications/">
				<img src="/i/exclaimOrange.gif" width="12" height="12" alt="" border="0" />
				<%#((DataRow)Container.DataItem)["Display_Text"]%>
				</a>
			</ItemTemplate>
		</asp:Repeater>
	</div>


</div>



<asp:PlaceHolder runat="server" ID="refreshScripts">
	<div style="line-height:13px;width:auto;height:13px;position:absolute; top:56px; left:290px;background-color:#FFF3E5;border: 2px solid #990000; font-size: 11px; padding: 3px 15px 3px 10px; overflow:hidden;<%=notificationsVisible?"":"display:none" %>" id="notificationsDiv">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr><td id="notificationScrollDiv" style="width:auto"></td></tr>
		</table>
	</div>
	<script type="text/javascript">
		blurScrollEl('notificationScrollDiv','notificationScrollContentDiv');
		updateFooter('footerDiv',true);
	</script>
</asp:PlaceHolder>

<script runat="server" type="text/C#">
	int GetUnreadPrivateMessagesCount()
	{
      using (SqlCommand cmd = new SqlCommand())
      {
        cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);

				cmd.CommandText = StoredProcedures.User_PrivateMessages_GetUnreadCount;
        cmd.CommandType = CommandType.StoredProcedure;
				cmd.Parameters.Add("@User_Username", SqlDbType.VarChar, 30).Value = Page.User.Identity.Name;
				cmd.Parameters.Add("@Unread_Count", SqlDbType.Int).Direction = ParameterDirection.Output;

        try
        {
          cmd.Connection.Open();
          cmd.ExecuteNonQuery();
					return (int)cmd.Parameters["@Unread_Count"].Value;
        }
        finally
        {
          cmd.Connection.Close();
        }
      }		
	}
	DataTable GetNewNotifications()
	{
		DataTable dt = new DataTable();
    using (SqlCommand cmd = new SqlCommand())
    {
      cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);

			cmd.CommandText = StoredProcedures.User_Notifications_GetNotifications;
      cmd.CommandType = CommandType.StoredProcedure;
			cmd.Parameters.Add("@User_Username", SqlDbType.VarChar, 30).Value = Page.User.Identity.Name;
			cmd.Parameters.Add("@NotifiedAfter_Date", SqlDbType.DateTime).Value =
        DateTime.Parse(Profile.My_Notifications.LastView);

      try
      {
        cmd.Connection.Open();
				dt.Load(cmd.ExecuteReader());
      }
      finally
      {
        cmd.Connection.Close();
      }
    }
		return dt;		
	}
</script>