<%@ Page Language="C#" AutoEventWireup="true" Title="Help &amp; Info &gt; About Us" %>
<%@ Import Namespace="ChooseYourStory.Statistics" %>
<%@ Import Namespace="ChooseYourStory.Moderation" %>
<%@ Import Namespace="ChooseYourStory.TrophyHolders" %>
<%@ Register TagPrefix="cys" 
    Namespace="ChooseYourStory.Web.Controls"
    Assembly="ChooseYourStory" %>
<script runat="server" language="C#">
    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        DataBind();
    }
</script>
<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <div id="mainContent">
        <h1>Info &raquo; About Us</h1>
        <div style="margin-top:6pt;">
            <span style="border:1px solid black; padding:3px; padding-left:0px; border-left-width: 0px;">
                <span class="tertiaryButton" style="cursor:pointer" onClick="location='#About';">About</span>	  
                | <span class="tertiaryButton" style="cursor:pointer" onClick="location='#History';">History</span>	  
                | <span class="tertiaryButton" style="cursor:pointer" onClick="location='#Founders';">Founders</span>	  
                | <span class="tertiaryButton" style="cursor:pointer" onClick="location='#Admins';">Active Administrators</span> 
                | <span class="tertiaryButton" style="cursor:pointer" onClick="location='#Trophy_Holders';">Active Trophy Holders</span>	  
                | <span class="tertiaryButton" style="cursor:pointer" onClick="location='#Thanks';">Special Thanks</span>	  
            </span>
	    </div>
	    
	    <a name="About"></a>
        <h2 style="font-size: medium;margin-top: 24pt;">About the Site</h2>
        <p>ChooseYourStory.com is a community-driven website centered around Choose-Your-Own-Adventure style storygames. Members create their own storygames, play others members' storygames, participate in the forums, and a bunch of other things. Currently, the site has:</p>
        <ul style="margin:18pt;margin-top:6pt;">
            <li><%=BasicStatistics.GetStatistic("Member_Count").ToString("#,###,###")%> Members</li>
            <li><%=BasicStatistics.GetStatistic("Total_Story_Count").ToString("#,###,###")%> Total Storygames
                (<%=BasicStatistics.GetStatistic("Published_Story_Count").ToString("#,###,###")%> Published)</li>
            <li><%=BasicStatistics.GetStatistic("Comment_Count").ToString("#,###,###")%> Comments left on Storygames</li>
            <li><%=BasicStatistics.GetStatistic("Message_Count").ToString("#,###,###")%> Forums Messages Posted</li>
            <li><%=BasicStatistics.GetStatistic("Point_Total").ToString("###,###,###,###")%> Points Accumulated</li>
            <br />
            <li><%=BasicStatistics.GetStatistic("Architect_Endorsements").ToString("###,###,###,###")%> Commendations for <a href="/endorsements?Sect=Architect">Architects</a></li>
            <li><%=BasicStatistics.GetStatistic("Marauder_Endorsements").ToString("###,###,###,###")%> Commendations for <a href="/endorsements?Sect=Marauder">Marauders</a></li>
            <li><%=BasicStatistics.GetStatistic("Sage_Endorsements").ToString("###,###,###,###")%> Commendations for <a href="/endorsements?Sect=Sage">Sages</a></li>
            <li><%=BasicStatistics.GetStatistic("Warden_Endorsements").ToString("###,###,###,###")%> Commendations for <a href="/endorsements?Sect=Warden">Wardens</a></li>
        </ul>
        
        <a name="History"></a>
        <h2 style="font-size: medium;margin-top: 24pt;">Site History</h2>
        <address>by Alex Papadimoulis</address>
        <p>It was Spring of 2001 and I had a decision to make. We had just been given the final assignment for CSC-463 (Web Programming) -- create a database-driven website -- and I needed to think of cool project to do for it. 
        <p>Several years earlier, I created a web-based Choose-Your-Own-Adventure-style storygame with my friend George and remembered how incredibly tedious it was. The storygame consisted of several hundred pages and each one needed to be created and linked to several others. I thought how cool it would be if I could create a website that would allow myself and others to make Choose-Your-Own-Adventure-style storygames without needing to know anything about HTML, websites, or anything like that. So I got to coding and, within a couple weeks, a simple website was born.</p>
        <p>I showed the website to a few of my friends and a strange thing happened: they started to use it. George started up a story about dinosaurs invading Fairview Park, John wrote about one of his more entertaining dating experiences, and Dan chose to make a storygame about final exams instead of studying for them. We stumbled across something pretty fun.</p>
        <p>George, Dan, and I decided to take the school project further. We spent the summer coming up with a name for our new site, expanding on the concept of Choose-Your-Own-Adventure with Items and Link Restrictions, and developing the site. ChooseYourStory.com was born.</p>
        <p>Since that summer, the site has gone through a lot of changes. Features have been added, graphics have been tweaked, and lots and lots of members have joined. The three of us continue to spend our free time working on our fun creation, adding new features, and occasionally making a storygame of our very own.</p>
        
        <a name="Founders"></a>
        <h2 style="font-size: medium;margin-top: 24pt;">Founders</h2>
        <table cellpadding="3">
            <tr>
                <td><img src="images/alexp.jpg" /></td>
                <td valign="top">
                    <h3 style="font-size:small;">Alex Papadimoulis (<cys:UsernameLink runat="server" Username="alexp" />)</h3>
                    <p>
                        Alex is the sole programmer at ChooseYourStory.com and does all the "technical stuff"
                        around the site. In the real world, Alex is the principal member of Inedo, LLC and uses 
                        his 10 years of IT experience to bring custom software solutions to small- and mid-sized 
                        businesses and to help other software development organizations utilize best practices in 
                        their products. He lives in Berea, OH, and was awarded a Bachelor of Computer Science degree 
                        from Baldwin-Wallace College.
                    </p>
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td><img src="images/chocobot.jpg" /></td>
                <td valign="top">
                    <h3 style="font-size:small;">George McDougall (<cys:UsernameLink runat="server" Username="chocobot" />)</h3>
                    <p>
                        Without George, ChooseYourStory.com would look as plain as the text 
                        you are reading right now. George is responsible for designing and 
                        developing just about every graphic, button, and image on ChooseYourStory.com.
                        Currently stationed at Fort Bragg, NC, George is a Sergeant in the US Army and
                        spent over a year on a tour of duty in Iraq. George's home town is Fairview Park, OH 
                        and he earned a Bachelor of Sociology at Cleveland State University.
                    </p>
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td><img src="images/march5th00.jpg" /></td>
                <td valign="top">
                    <h3 style="font-size:small;">Dan Videc (<cys:UsernameLink runat="server" Username="march5th00" />)</h3>
                    <p>
                        As the "idea man" at ChooseYourStory.com, Dan does his best to balance 
                        Alex's highly-technical ideas with George's highly-complicated ideas. In
                        the real world, Dan helps out homeless people in his day-job as a Social Worker
                        and moonlights as a DJ for his company, Entertainment Revolution DJs. Dan also
                        lives in Berea, OH and was awarded a Bachelor of Psychology at Baldwin Wallace College.
				    </p>
                </td>
            </tr>
        </table>
        
        <a name="Admins"></a>
        <h2 style="font-size: medium;margin-top:24pt;">Active Administrators</h2>
        <p style="margin-top:0px; font-size:75%">These members play a valuable role in helping to keep the site clean and enjoyable for everyone. If you ever notice
        any inappropriate posts, comments, or storygames, don't hesitate
        to contact one of them.</p>
        <ul style="margin:18pt;margin-top:6pt;">
            <asp:Repeater runat="server" DataSource="<%# Moderators.GetModeratorNames() %>">
                <ItemTemplate>
                    <li><cys:UsernameLink runat="server" Username="<%# Container.DataItem %>" /></li>
                </ItemTemplate>
            </asp:Repeater>
        </ul>

        <a name="Trophy_Holders"></a>
        <h2 style="font-size: medium;margin-top:24pt;">Active Personal Trophy Holders</h2>
        <p style="margin-top:0px; font-size:75%">These members have contributed so much that they have earned the right to give out a personal trophy to anyone they see fit!</p>
        <ul style="margin:18pt;margin-top:6pt;">
            <asp:Repeater runat="server" DataSource="<%# TrophyHolders.GetTrophyHolderNames() %>">
                <ItemTemplate>
                    <li><cys:UsernameLink runat="server" Username="<%# Container.DataItem %>" /></li>
                </ItemTemplate>
            </asp:Repeater>
        </ul>
                
        <a name="Thanks"></a>
        <h2 style="font-size: medium;margin-top:24pt;">Special Thanks</h2>
        <p>
            <h3 style="font-size:small;display:inline">John P. Videc (<cys:UsernameLink runat="server" Username="johnnyvusmc" />) - </h3>
            For patiently creating storygames while the site was being created
        </p>
        <p>
            <h3 style="font-size:small;display:inline">Katrina Tackett - </h3>
            For picking the <i>perfect</i> face for the original ChooseYourStory.com Logo Guy
        </p>
        <p>
            <h3 style="font-size:small;display:inline">MadHattersDaughter (<cys:UsernameLink runat="server" Username="MadHattersDaughter" />) - </h3>
            For being amazing and wonderful and talented and graciously providing the site with updated art
        </p>
	  </div>
	  
	  <cys:AspPage ID="AspPage1" runat="server" Url="~/Includes/footer.asp" />
	  
</asp:Content>