<%@ Page Language="C#" Title="Scripts" EnableViewState="false" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<%@ Register TagPrefix="adved" Src="SecondaryNavigation.ascx" TagName="SecondaryNavigation" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Data" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing.Advanced" %>

<script runat="server">
	
	int StoryId;
	EditorOptions options;
	DataView scripts;
	protected override void OnLoad(EventArgs e)
	{
		StoryId = int.Parse(Request.Url.Query.TrimStart('?'));
		EditorHelper.ValidateUserToAdvancedEdit(StoryId, User.Identity.Name);
		options = EditorHelper.GetEditorOptions(StoryId, User.Identity.Name);

		
		using (SqlCommand cmd = new SqlCommand())
		{
			cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);
			cmd.CommandText = StoredProcedures.Story_Editing_GetScripts;
			cmd.CommandType = CommandType.StoredProcedure;
			cmd.Parameters.Add("@Story_Id", SqlDbType.Int).Value = StoryId;
			try
			{
				cmd.Connection.Open();
				DataTable dt = new DataTable();
				dt.Load(cmd.ExecuteReader());
				if (options.ScriptingLevel == EditorOptions.ScriptingLevels.Advanced)
				{
					scripts = new DataView(dt);
				}
				else
				{
					scripts = new DataView(dt, "ScriptType_Name NOT IN ('GlobalLink','GlobalPage')", "", DataViewRowState.None);
				}				
			}
			finally
			{
				cmd.Connection.Close();
			}
		}
	}

	protected override void OnLoadComplete(EventArgs e)
	{
		DataBind();
	}

</script>
<asp:Content ContentPlaceHolderID="HeaderContentPlaceHolder" runat="server">
<style type="text/css">
	.block { display:block;margin-top:10px; }
</style>
<script type="text/javascript">
//return 

	function deleteScript(type,id)
	{
		if (!confirm('Are you sure you want to delete this script? There is no way to undo this.')) return false;
		sid = <%# StoryId %>;
		id = id || 0;
		url = "ScriptPopup.aspx?Delete=Yes&StoryId=" + sid + "&ScriptType=" + type + "&ScriptId=" + id + "&nocache=" + (new Date());
		window.location = url;
	}
	
	function editScript(type,id)
	{
		sid = <%# StoryId %>;
		id = id || 0;
		url = "ScriptPopup.aspx?StoryId=" + sid + "&ScriptType=" + type + "&ScriptId=" + id + "&nocache=" + (new Date());
		openWin(url);
	}
	
	function openWin(url)
	{
		if (window.showModalDialog) 
		{
			window.showModalDialog(url,window,'dialogWidth=550px;dialogHeight=300px;resizable=yes;status=no;scroll=yes');
		}
		else 
		{
			window.open(url,'CYS_EditScript',"width=550,height=300,status=no,resizable=no,scrollbars=yes");
		}		
	}
	
</script>
</asp:Content>
<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
<form runat="server" id="mainForm">
	<div id="maincontent">

		<h1>Advanced Editor &raquo; Scripts</h1>		
		<adved:SecondaryNavigation runat="server" Selected="scripts" />
	
		<div style="padding-left:15px;">
			<p>Scripts allow you, as an author, to change what is displayed to the player
			and control what happens when a link is clicked, without using link restrictions 
			and other editor tools.</p>
			<div class="smallerText" style="margin-top:4px;margin-left:20px;">
				<strong>Link Scripts</strong> are attached to links and evaluated whenever 
				the player clicks on that link; they can be used to change variables, alter
				inventory, set the destination, etc.
				<strong>Item Scripts</strong> are attached to items and evaluated whenever 
				the player uses that item; they can be used to change the destination, alter
				the Item Can't Be Used text, set the destination, etc.
				<asp:PlaceHolder runat="server" Visible="<%# (options.ScriptingLevel == EditorOptions.ScriptingLevels.Advanced) %>">
				<strong>Page Scripts</strong> are attached to pages and evaluated before 
				the page is displayed to the player; they can be used to alter text on the
				page, enable/disable links, etc.
				<strong>Global Scripts</strong> (either Page or Link) are run on every page
				or link prior to the link- or page-level.
				</asp:PlaceHolder>
			</div>
			
			<asp:GridView runat="server" DataSource="<%#scripts %>"
					Visible='<%#scripts.Count > 0 %>'
					AutoGenerateColumns="False" 
					BorderWidth="0px" CellPadding="3" GridLines="None"
					Style="margin-top:15px;" 
            >			
				<Columns>
					<asp:TemplateField HeaderStyle-CssClass="tableHead">
							<ItemTemplate>
								<img alt="Edit" src="images/edit.gif"
									width="12" height="12" style="cursor:pointer;"
									onclick="editScript('<%#Eval("ScriptType_Name") %>','<%#Eval("ScriptType_Id") %>');" />
								<asp:PlaceHolder runat="server" Visible='<%# !"".Equals(Eval("Script_Text")) %>'>
								<img alt="Delete" src="images/delete.gif"
									width="12" height="12" style="cursor:pointer;"
									onclick="deleteScript('<%#Eval("ScriptType_Name") %>','<%#Eval("ScriptType_Id") %>');" />									
								</asp:PlaceHolder>
							</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField 
							HeaderStyle-CssClass="tableHead" HeaderStyle-ForeColor="white" 
							SortExpression="ScriptType_Name" HeaderText="Type" HeaderStyle-HorizontalAlign="Left"
							ItemStyle-CssClass="smallerText">
						<ItemTemplate>
							<%#Eval("ScriptType_Name").ToString().Replace("Global", "Global ") %> 
							<%# "".Equals(Eval("Ref_Title")) ? "" : " - " + Eval("Ref_Title") %>
						</ItemTemplate>
					</asp:TemplateField>
				</Columns>
			</asp:GridView>
			<asp:PlaceHolder runat="server" Visible='<%#scripts.Count == 0 %>'>
				<p style="margin-top:15px; font-weight:bold">You have no scripts defined.</p>
			</asp:PlaceHolder>
			<asp:PlaceHolder runat="server" Visible="<%# (options.ScriptingLevel == EditorOptions.ScriptingLevels.Basic) %>">
				<p class="smallerText" style="margin-top:20px;">To add a new Link or Item Script, go to the respective Link or Item.</p>
			</asp:PlaceHolder>			
			<asp:PlaceHolder runat="server" Visible="<%# (options.ScriptingLevel == EditorOptions.ScriptingLevels.Advanced) %>">
				<p class="smallerText" style="margin-top:20px;">To add a new Link, Page, or Item Script, go to the respective Link, Page, or Item.</p>
			</asp:PlaceHolder>						
		</div>
	</div>
</form>		
</asp:Content>