<% Option Explicit %>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../Includes/sessionValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/Image.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/ClientMessages.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/FileUploader.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/CheckHeader.vbs"></script>
<% CheckHeader "edit.aspx"
If IsEmpty(Request.QueryString()) Then Response.Redirect("./")
If Not IsNumeric(Request.QueryString()) Then Response.Redirect("./")

Dim ImageId, Title, Tags : ImageId = CLng(Request.QueryString()) : Tags = ""

'If the form was submitted, update the data
If (Request.ServerVariables("REQUEST_METHOD") = "POST") Then
    DoUpload
Else
    If Request.QueryString("err") = "tooLarge" Then Alert "The file you submitted was too large. The limit is 100,000 bytes."
End If

Sub DoUpload

	Call ValidateSession
	
	Dim uploader : Set uploader = New FileUploader
	Dim img : Set img = New Image
	
	uploader.Upload
	Title = uploader.Form("Title")
	
	If IsObject(uploader.Files("Image")) Then
		
		If Not img.LoadFromBytes(uploader.Files("Image").FileData) Then
			Alert "There was an error loading the uploaded file. Perhaps it's not a picture? Only JPG, GIF, and PNG are allowed."
			Exit Sub
		End If	
		
		If img.Type = "BMP" Then
			Alert "BMP pictures are not allowed at this time. They take up too much space. Save as a GIF instead."
			Exit Sub
		End If
		
		If img.Width > 550 Or img.Height > 600 Then
			Alert _
				"The picture you uploaded is too wide or too high." & vbCrLf & _ 
				vbCrLf & _
				"Pictures cannot be any wider than 550 pixels or higher than 600 pixels. " & vbCrLf & _
				vbCrLf & _			
				"The picture you uploaded is " & img.Width & " pixels wide and " & img.Height & " pixels high."
			Exit Sub
		End If
	
		If img.FileSize > 100000 Then
			Alert "The file you uploaded is too large. There is a limit of 100,000 bytes."
			Exit Sub
		End If	
	
	End If
	
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "[Create Or Replace Image]"
		.CommandType = adCmdStoredProc
		.Parameters.Append .CreateParameter("@ImageId", adInteger, adParamInputOutput, 8, ImageId)
		.Parameters.Append .CreateParameter("@Username", adVarChar, adParamInput, 20, Session("Username"))			
		.Parameters.Append .CreateParameter("@Title", adVarChar, adParamInput, 50, uploader.Form("Title"))
		.Parameters.Append .CreateParameter("@Tags", adVarChar, adParamInput, 6000, Replace(uploader.Form("Tags"), vbCrLf, " "))
		.Parameters.Append .CreateParameter("@Content", adLongVarBinary, adParamInput, 2147483647, Null)
		If IsObject(uploader.Files("Image")) Then _
		    uploader.Files("Image").SaveToDataBase(.Parameters("@Content"))
		.Execute
	End With
	
	Response.Redirect "./"
End Sub

'get the title
If IsEmpty(Title) Then
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "SELECT I.[Title], IT.[Tag] " & _
		               "  FROM [Images] I " & _
                       "       LEFT JOIN [Image Tags] IT " & _
                       "              ON I.[Image ID] = IT.[Image ID] " & _
		               " WHERE I.[Image Id] = ?"
		.Parameters.Append .CreateParameter("@ImageId", adInteger, adParamInput, 8, ImageId)
		With .Execute
			If Not .EOF Then Title = .Fields("Title").Value
			Do While Not .EOF
                ' Generate tags comma separated list
                If Not IsNull(.Fields("Tag")) Then Tags = Tags & ", " & Trim(.Fields("Tag"))
                
                .MoveNext
			Loop
			' Lop off the first ", "
            If Len(Tags) >= 2 Then Tags = Right(Tags, Len(Tags) - 2)
		End With
	End With
End If
%>



	  <form enctype="multipart/form-data" method="post" id="mainContent">
	  	  <h1><a href="../">My Stuff</a> &raquo; <a href="./">Pictures</a><span> &raquo; Edit Picture</span></h1>
	  <p>
	  <h2>Picture Title</h2>
	  <span class="smallerText">The title will be used by you to select the image from a drop down list. In addition,
	  users will see the title when they hover the mouse over the image in a game.</span><br/>
	   <input type="text" class="smallerText" name="Title" value="<%=Server.HTMLEncode(Title)%>" maxlength="50">
	  </p>
	  <h2>Picture Tags</h2>
	  <span class="smallerText">Tags can help you organize your images. You may use different tags to identify game or chapter-specific images. These should be separated by commas.</span><br/>
	  <textarea rows="4" cols="52" name="Tags"><%=Server.HTMLEncode(Tags)%></textarea>
	  </p>
	  <p>
	  <h2>File</h2>
	  <span class="smallerText">If you want to change only the title and not replace the picture,
	  do not enter anything in this box.</span><br/>
	  <span class="error"><strong>Note</strong> that images are cached. You may need to "force refresh" (Control-F5) to see the new image take effect. </span>
	  <br/>	  
	  
	  <input type="file" class="smallerText" name="Image"/>
	  </p>
	  <p>
	  <input type="submit" value="Save Changes"/>
	  &nbsp;
	  <input type="button" value="Cancel" onClick="location='./';">
	  </p>
	  </form>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
